Summary: Lightweight, purely OSD based xine frontend
Name: oxine
Version: 0.7.1
Release: 6%{?dist}.1
License: GPLv2+
Group: Applications/Multimedia
URL: http://oxine.sourceforge.net/
Source0: http://downloads.sf.net/oxine/oxine-%{version}.tar.gz
Source1: oxine.desktop
Source2: oxine.png
Patch0: oxine-strptime.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# We need xineplug_decode_image.so for the backgrounds
Requires: xine-lib-extras
BuildRequires: eject
BuildRequires: libX11-devel, libXtst-devel, libXinerama-devel
Buildrequires: gettext
BuildRequires: xine-lib-devel >= 1.0.1
BuildRequires: curl-devel
BuildRequires: ImageMagick-devel
BuildRequires: lirc-devel
BuildRequires: mdsplib-devel
BuildRequires: desktop-file-utils
BuildRequires: hal-devel, dbus-glib-devel
BuildRequires: libexif-devel
BuildRequires: libcdio-devel
BuildRequires: gtk2-devel
# The build fails (0.7.0) if cdparanoia isn't found
Buildrequires: cdparanoia, vorbis-tools

%description
oxine is a lightweight gui for the famous xine engine which uses the on screen
display functionality of xine to display its user interface elements like
buttons, lists sliders and so on. Due to this, oxine can easily be ported to
any video output device the xine library provides (e.g. frame buffer, dxr3,...)
and is particularly suitable for appliances like set-top boxes, home
entertainment systems or kiosk systems.


%prep
%setup -q
%patch0 -p1
# Convert file to utf-8 (still as of 0.7.1)
for file in AUTHORS; do
    iconv -f iso8859-1 -t utf-8 -o tmp ${file}
    touch -r ${file} tmp
    mv -f tmp ${file}
done
rm -f tmp


%build
# --without-jsw until we get libjsw packaged, but that won't be very easy
%configure \
    --enable-vdr \
    --without-jsw
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

# Desktop file
desktop-file-install --vendor="" --dir=%{buildroot}%{_datadir}/applications \
    %{SOURCE1}

# This is the image we'll use for the desktop icon. Could be improved.
# (based on data/skins/oxinetic/backgrounds/icon-cdrom.png)
%{__install} -D -p -m 0644 %{SOURCE2} \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/oxine.png


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc doc/keymapping.pdf doc/README.html
%{_bindir}/oxine
%{_datadir}/applications/oxine.desktop
%{_datadir}/icons/hicolor/64x64/apps/oxine.png
%{_datadir}/oxine/


%changelog
* Fri Sep 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7.1-6.1
- rebuild (ImageMagick)

* Fri Jan 22 2010 Adrian Reber <adrian@lisas.de> 0.7.1-6
- Rebuild for libcdio-0.82
- Added patch for "error: implicit declaration of function 'strptime'"

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 Matthias Saou <http://freshrpms.net/> 0.7.1-4
- Rebuild for new ImageMagick.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Adrian Reber <adrian@lisas.de> 0.7.1-2
- Rebuild for libcdio-0.81

* Tue May 13 2008 Matthias Saou <http://freshrpms.net/> 0.7.1-1
- Update to 0.7.1.
- Convert AUTHORS file to utf-8.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Thu Aug 30 2007 Matthias Saou <http://freshrpms.net/> 0.7.0-1
- Update to 0.7.0.
- Add new build requirements.

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-6
- Rebuild for new BuildID feature.

* Wed Aug  8 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-5
- Include patch to pass (now mandatory) mode to O_CREAT open call.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-4
- Update License field.

* Fri Jun 15 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-3
- Include desktop entry and icon based on a CD image from the default theme.

* Fri May 11 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-2
- Fix black screen problem by requiring xine-lib-extras, where
  xineplug_decode_image.so is available.

* Thu May 10 2007 Matthias Saou <http://freshrpms.net/> 0.6.6-1
- Update to 0.6.6 by including the official patch (no full sources available).
- Remove no longer needed (and possibly incorrect anyway) install patch.

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.6-2
- Enable weather now that mdsplib is built.

* Mon Dec 18 2006 Matthias Saou <http://freshrpms.net/> 0.6-1
- Update to 0.6.
- Include install patch.
- Enable VDR.
- Disable (at least for now) weather and jsw because of not-yet-packaged libs.

* Wed Aug 31 2005 Matthias Saou <http://freshrpms.net/> 0.3.5-0.1.cvs
- Update to CVS snapshot.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 0.2-3.fr
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Mon Mar 24 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.2.

* Tue Mar 18 2003 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

